Skip to main content

Notice

Please note that most of the software linked on this forum is likely to be safe to use. If you are unsure, feel free to ask in the relevant topics, or send a private message to an administrator or moderator. To help curb the problems of false positives, or in the event that you do find actual malware, you can contribute through the article linked here.
Topic: ToneBoosters plugins (Read 3164 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

ToneBoosters plugins

Hi,
I want to install ToneBoosters plugins in Foobar, and don´t know how to do it.
Could anybody help me, please?
Thank you


Re: ToneBoosters plugins

Reply #2
Thank you sveakul. I will try

Re: ToneBoosters plugins

Reply #3
You will need to use the 32-bit versions of the ToneBoosters plugins as Foobar and the two available hosts are 32-bit.  This means the 1.4.9 ToneBoosters, which was the last version that offered 32-bit (still downloadable at the ToneBoosters site).

For the heckuvit I tried one of those (VST2, "Enhancer_v1") in demo mode, loaded via the Acon Effect Chainer which I have installed inside the Yohng foo_dsp_vstwrap 1.2 host plugin.  It does indeed work.  Using Foobar 1.6.3 here.  I'll leave you to it.

Re: ToneBoosters plugins

Reply #4
Foobar is really lacking vst plugin support. That vst wrapper plugin is very unstable, has no vst3 or 64bit support, can't save profile with name other than *default, no resizable window....

Re: ToneBoosters plugins

Reply #5
Anyone who wants to make a new DSP wrapper, or Peter himself if he wants to add it natively, is welcome to use my basic VSTi loaders as a start. They can easily be adapted to support audio input and output, including differing input and output channel counts. They already support both 32 and 64 bit plugins, for either 32 or 64 bit hosts, in case 64 bit host ever becomes relevant. And by that design, they're out of process, including the configuration of the plug-in. Of course, it doesn't support plug-ins which require the host to implement its own dialog and controls for it, only those which implement their own editor.

Re: ToneBoosters plugins

Reply #6
Thanks kode54, some hope in the darkness!!  I wish I had the chops to do it.  Peter, I hope you will consider.

Re: ToneBoosters plugins

Reply #7
Hi,
I want to install ToneBoosters plugins in Foobar, and don´t know how to do it.
Could anybody help me, please?
Thank you

Hi. Where I can get these plugins? Thank you.


Re: ToneBoosters plugins

Reply #9
You will need to use the 32-bit versions of the ToneBoosters plugins as Foobar and the two available hosts are 32-bit.  This means the 1.4.9 ToneBoosters, which was the last version that offered 32-bit (still downloadable at the ToneBoosters site).

For the heckuvit I tried one of those (VST2, "Enhancer_v1") in demo mode, loaded via the Acon Effect Chainer which I have installed inside the Yohng foo_dsp_vstwrap 1.2 host plugin.  It does indeed work.  Using Foobar 1.6.3 here.  I'll leave you to it.

I have TB_Plugins_v3.0.9_VST_Win_x86 and TB_Plugins_v3.0.9_VST_Win_x64, and the Isone plugin in one of them worked with Foobar in my crashed computer. But I don't remember how I installed it.

Re: ToneBoosters plugins

Reply #10
I have TB_Plugins_v3.0.9_VST_Win_x86 and TB_Plugins_v3.0.9_VST_Win_x64, and the Isone plugin in one of them worked with Foobar in my crashed computer. But I don't remember how I installed it.
Isone is not listed as an available plugin on the current ToneBoosters site:

https://www.toneboosters.com/plugins.html

Also the plugins package nomenclature seems to have changed since then, as the latest is now "TB_Installer_v1.5.3_win.zip" and 64-bit only.